Re: Build error with west T2 star topology


Marc Herbert
 

On 9 Oct 2019, at 02:05, Attilio Dona <attilio.dona@gmail.com> wrote:

My guess was that for a tagged zephyr release, for example v2.0.0, then there is a v2.0.0 tag on the nordic_hal module, but this is not the case ...
While it's possible, there's no need to tag modules because the west.yml manifest already performs that.


The process of selecting the right modules versions it is quite obscure to me.
A west (or repo) manifest _is_ that process.


works, but if a (current at the time of writing) master revision of zephyr it is used than the compilation fails and a different hal_nordic version must be used.
If you get a different manifest when using a different version of Zephyr, then you MUST run west update -r.


Please give the west documentation another read.

Join users@lists.zephyrproject.org to automatically receive all group messages.